Skip to main content
GET
/
v1
/
payment-links
/
{id}
Get single payment link
curl --request GET \
  --url https://api.xentfi.com/v1/payment-links/{id} \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "slug": "<string>",
    "refId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "channel": "<string>",
    "currency": "<string>",
    "imgUrl": "<string>",
    "paymentLimit": 2,
    "amount": "<string>",
    "redirectUrl": "<string>",
    "successMessage": "<string>",
    "failureMessage": "<string>",
    "metadata": {},
    "isActive": true,
    "evmSettlementWalletId": "<string>",
    "solanaSettlementWalletId": "<string>",
    "allowedBlockchains": [
      {
        "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
        "name": "Base",
        "slug": "base-mainnet",
        "symbol": "ETH",
        "isActive": true,
        "isEvmCompatible": true,
        "configurations": null,
        "chainId": 8453,
        "logoUrl": "https://example.com/base-logo.png",
        "tokenStandard": "ERC20",
        "createdAt": "2023-04-28T14:44:06.397Z",
        "updatedAt": "2024-11-26T15:26:18.785Z"
      }
    ],
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

id
string
required

Response

Payment link details

data
object